首页 > yum安裝php多版本共存

jdk1.632免安装下载,yum安裝php多版本共存

互联网 2020-09-25 20:08:15
yum安裝php56, php73, php74多版本共存 1.安装epel: #yum list installed | grep php #查看已安装的PHP,查到后rpm -e 卸载 #yum repolist all | grep php #yum install epel-release -y 2.安装REMI源: rpm -ivh https://mirrors.tuna.tsinghua.edu.cn/remi/enterprise/remi-release-7.rpm 3.查看可以安装的PHP版本:(54-80版本都有) # yum repolist all | grep php安裝 php56版本# yuminstallphp56 php56-php-fpm php56-php-cli php56-php-bcmath php56-php-gd php56-php-json php56-php-mbstring php56-php-mcrypt php56-php-mysqlnd php56-php-opcache php56-php-pdo php56-php-pecl-crypto php56-php-pecl-mcrypt php56-php-soap php56-php-pecl-zip php56-php-process php56-php-pecl-yaf php56-php-xml php56-php-pecl-swoole4 php56-php-ldap php56-php-pear php56-php-xml安裝 php73版本# yum install php73 php73-php-fpm php73-php-cli php73-php-bcmath php73-php-gd php73-php-json php73-php-mbstring php73-php-mcrypt php73-php-mysqlnd php73-php-opcache php73-php-pdo php73-php-pecl-crypto php73-php-pecl-mcrypt php73-php-soap php73-php-pecl-zip php73-php-process php73-php-pecl-yaf php73-php-xml php73-php-pecl-swoole4 php73-php-ldap php73-php-pear php73-php-xml安裝 php74版本# yum install php74 php74-php-fpm php74-php-cli php74-php-bcmath php74-php-gd php74-php-json php74-php-mbstring php74-php-mcrypt php74-php-mysqlnd php74-php-opcache php74-php-pdo php74-php-pecl-crypto php74-php-pecl-mcrypt php74-php-soap php74-php-pecl-zip php74-php-process php74-php-pecl-yaf php74-php-xml php74-php-pecl-swoole4 php74-php-ldap php74-php-pear php74-php-xml只要在前面加上你要安裝的版本(56-80版本都有)就可以了 phpXX-php-xxXX: 版本號xx: php模塊名 4. 启动服务

安裝好之後爲了PHP版本能夠共存還需要更改不同的php版本端口執行4步驟之後在路徑下能夠找到相應的版本#ls /etc/opt/remi/php56 php73 php74

編輯配置文件修改listen端口(端口可自定义)

# vi /etc/opt/remi/php56/php-fpm.d/www.conflisten = 127.0.0.1:9056# vi /etc/opt/remi/php73/php-fpm.d/www.conflisten = 127.0.0.1:9073# vi /etc/opt/remi/php74/php-fpm.d/www.conflisten = 127.0.0.1:9074

启动服务

# systemctlstart php56-php-fpm# systemctlstart php73-php-fpm# systemctlstart php74-php-fpm 5.设置要安装默认的php版本

查看可以安装的PHP版本:

# yum repolist all | grep php

设置默认安装的版本:(这里以74版本为例)

# yum-config-manager --enable remi-php74

若提示:-bash: yum-config-manager: 未找到命令表明未安装yum-utlis包,yum -y install yum-utils 即可设置好之后就可以直接执行要安装的php模块,不需要前面加版本号(安装好后默认就是74版本php了)

# yum -y php php-fpm php-cli php-bcmath php-gd php-json php-mbstring php-mcrypt php-mysqlnd php-opcache php-pdo php-pecl-crypto php-pecl-mcrypt php-soap php-pecl-zip php-process php-pecl-yaf php-xml php-pecl-swoole4 php-ldap php-pear php-xml
免责声明:非本网注明原创的信息,皆为程序自动获取自互联网,目的在于传递更多信息,并不代表本网赞同其观点和对其真实性负责;如此页面有侵犯到您的权益,请给站长发送邮件,并提供相关证明(版权证明、身份证正反面、侵权链接),站长将在收到邮件24小时内删除。